Bug 834548 - Review Request: hyena - Hyena is a library of GUI and non-GUI C# code
Review Request: hyena - Hyena is a library of GUI and non-GUI C# code
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Lange
Fedora Extras Quality Assurance
:
: 530910 (view as bug list)
Depends On:
Blocks: 834552
  Show dependency treegraph
 
Reported: 2012-06-22 07:18 EDT by Ismael Olea
Modified: 2012-07-19 06:24 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-19 06:24:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
palango: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ismael Olea 2012-06-22 07:18:42 EDT
Spec URL: http://olea.org/tmp/pdfmod/hyena.spec
SRPM URL: http://olea.org/tmp/pdfmod/hyena-0.5-2.fc17.src.rpm
Description: 

This is a library of useful GUI and non-GUI C sharp code, originally used in 
Banshee.

Fedora Account System Username: olea
Comment 1 Ismael Olea 2012-06-22 07:20:13 EDT
*** Bug 530910 has been marked as a duplicate of this bug. ***
Comment 2 Paul Lange 2012-07-05 09:07:15 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[a]  Rpmlint output:
	hyena.x86_64: I: enchant-dictionary-not-found es - OK, no spanish translations on my side
    hyena.x86_64: E: no-binary - OK, mono caused
    hyena.x86_64: W: only-non-binary-in-usr-lib - OK, mono caused
    hyena-debuginfo.x86_64: E: empty-debuginfo-package - should be disabled
    hyena-devel.x86_64: W: no-documentation - OK

[x]  Package is named according to the Package Naming Guidelines[1].

[x]  Spec file name must match the base package name, in the format %{name}.spec.

[x]  Package meets the Packaging Guidelines[2].

[x]  Package successfully compiles and builds into binary rpms.

[x]  Buildroot definition is not present

[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].

[x]  License field in the package spec file matches the actual license.

[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.

[-]  All independent sub-packages have license of their own
	Semi-automatic - if a subpackage requires the base package, the %doc macro is not required. if not, output a warning suggesting checking if the subpackage has license

[x]  Spec file is legible and written in American English.

[s]  Sources used to build the package matches the upstream source, as provided in the spec URL.
[paul@laptop 834548]$ md5sum hyena-0.5.tar.gz.orig
bc20d11a387e8b09db638922a3cd0eb8  hyena-0.5.tar.gz
[paul@laptop 834548]$ md5sum hyena-0.5.tar.gz 
bc20d11a387e8b09db638922a3cd0eb8  hyena-0.5.tar.gz

[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
	Manual

[x]  Package must own all directories that it creates or must require other packages for directories it uses.
	Manual - insanely costly

[x]  Package does not contain duplicates in %files.
	Automatic - checking SHA sum of every file for the same checksums

[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason

[x]  Permissions on files are set properly.

[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)

[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)

[x]  Package contains code, or permissable content.

[-]  Fully versioned dependency in subpackages, if present.

[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.

[x]  Package does not own files or directories owned by other packages.

[x]  Package uses %global not %define

[x]  All filenames in rpm packages must be valid UTF-8.


=== Issues ===
1. You shouldn't build a debug subpackage as it's empty.
   Add %global debug_package %{nil} to the spec file.

=== Final Notes ===
1. not sure if we need translations as most users don't care about dependencies
2. I approve this under the condition that the small debug package issue is fixed.

================
*** APPROVED ***
================
Comment 3 Ismael Olea 2012-07-05 12:19:31 EDT
removed the debug package generation

Spec URL: http://olea.org/tmp/pdfmod/hyena.spec
SRPM URL: http://olea.org/tmp/pdfmod/hyena-0.5-3.fc17.src.rpm

(if URL is not working wait a bit, it's uploading)
Comment 4 Paul Lange 2012-07-05 13:23:31 EDT
OK, perfect. I already set the review flag. If time permits I'll look at the other packages in the next days.
Comment 5 Ismael Olea 2012-07-05 13:45:16 EDT
New Package SCM Request
=======================
Package Name: hyena
Short Description: This is a library of useful GUI and non-GUI C sharp code, originally used in 
Banshee
Owners: olea
Branches: devel f17 f16
InitialCC:
Comment 6 Gwyn Ciesla 2012-07-05 13:52:22 EDT
Git done (by process-git-requests).

Paul, please take ownership of review BZs, thanks!

Note You need to log in before you can comment on or make changes to this bug.